PLplot: deltaT-gen.c File Reference

PLplot 5.15.0

Macros | Functions | Variables
deltaT-gen.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include "dspline.h"`

Go to the source code of this file.

## Macros
#define | MemError1(a) do { fprintf( stderr, "MEMORY ERROR %d\n" a "\n", __LINE__ ); exit( __LINE__ ); } while ( 0 )

## Functions
int | main (int argc, char *argv[])

## Variables
const char | header []

## Macro Definition Documentation

## ◆ MemError1

#define MemError1 | ( |  | a | ) | do { fprintf( stderr, "MEMORY ERROR %d\n" a "\n", __LINE__ ); exit( __LINE__ ); } while ( 0 )

Definition at line 39 of file deltaT-gen.c.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 68 of file deltaT-gen.c.

## Variable Documentation

## ◆ header

const char header[]

Initial value:
= ""
"/*\n"
" This file is part of PLplot.\n"
" \n"
" PLplot is free software; you can redistribute it and/or modify\n"
" it under the terms of the GNU Library General Public License as published\n"
" by the Free Software Foundation; either version 2 of the License, or\n"
" (at your option) any later version.\n"
" \n"
" PLplot is distributed in the hope that it will be useful,\n"
" but WITHOUT ANY WARRANTY; without even the implied warranty of\n"
" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the\n"
" GNU Library General Public License for more details.\n"
" \n"
" You should have received a copy of the GNU Library General Public License\n"
" along with PLplot; if not, write to the Free Software\n"
" Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n"
" \n"
" \n"
" This header file contains spline data (xspline, yspline, and y2spline)\n"
" for converting between UT1 and ephemeris time.\n"
" It is an automatically generated file, so please do\n"
" not edit it directly. Make any changes to deltaT.dat then use\n"
" deltaT-gen to recreate this header file.\n"
" \n"
"*/"

Definition at line 41 of file deltaT-gen.c.